=== modified file 'performance-new.sh'
--- performance-new.sh	2014-05-08 06:45:00 +0000
+++ performance-new.sh	2014-05-08 11:11:25 +0000
@@ -16,7 +16,7 @@
 # Internal settings
 MTR_BT=$[$RANDOM % 300 + 1]
 PORT=$[20000 + $RANDOM % 9999 + 1]
-
+MULTI_THREAD_COUNT=400
 # The first option is the relative workdir
 # The second option is the relative basedir
 if [ -z $2 ]; then
@@ -85,7 +85,7 @@
   ## OLTP RO Run for memory Warmup
   echo "Sysbench Run: OLTP RO Run for memory Warmup"
   /usr/bin/sysbench --test=/usr/share/doc/sysbench/tests/db/oltp.lua \
-   --num-threads=700 --max-time=120 --max-requests=1870000000 \
+   --num-threads=$MULTI_THREAD_COUNT --max-time=120 --max-requests=1870000000 \
    --oltp-tables-count=30 --mysql-db=test --oltp-read-only --mysql-user=root \
    --db-driver=mysql --mysql-socket=$WORKDIR/$WORKDIRSUB/socket.sock \
    run > $WORKDIR/$WORKDIRSUB/sysbench_ro_run_warm_up.txt 2>&1
@@ -101,7 +101,7 @@
   ## OLTP RW Run with default server settings + multiple threaded (700) + cpubound 
   echo "Sysbench Run: OLTP RW testing with default server settings + multiple threaded (700) + cpubound"
   /usr/bin/sysbench --test=/usr/share/doc/sysbench/tests/db/oltp.lua \
-   --num-threads=700 --max-time=$SYSBENCH_DURATION --max-requests=1870000000 \
+   --num-threads=$MULTI_THREAD_COUNT --max-time=$SYSBENCH_DURATION --max-requests=1870000000 \
    --oltp-tables-count=10 --mysql-db=test --mysql-user=root \
    --db-driver=mysql --mysql-socket=$WORKDIR/$WORKDIRSUB/socket.sock \
    run > $WORKDIR/$WORKDIRSUB/sysbench_default_rw_multi_thread_cpubound.txt 2>&1
@@ -196,7 +196,7 @@
   ## OLTP RO Run for memory Warmup
   echo "Sysbench Run: OLTP RO Run for memory Warmup"
   /usr/bin/sysbench --test=/usr/share/doc/sysbench/tests/db/oltp.lua \
-   --num-threads=700 --max-time=120 --max-requests=1870000000 \
+   --num-threads=$MULTI_THREAD_COUNT --max-time=120 --max-requests=1870000000 \
    --oltp-tables-count=30 --mysql-db=test --oltp-read-only --mysql-user=root \
    --db-driver=mysql --mysql-socket=$WORKDIR/$WORKDIRSUB/socket.sock \
    run > $WORKDIR/$WORKDIRSUB/sysbench_ro_run_warm_up.txt 2>&1
@@ -212,7 +212,7 @@
   ## OLTP RW Run with Tuned server settings + multiple threaded (700) + cpubound (10 tables * 1 M Rows each : data size approx = 2.3G ) 
   echo "Sysbench Run: OLTP RW testing with default server settings + multiple threaded (700) + cpubound"
   /usr/bin/sysbench --test=/usr/share/doc/sysbench/tests/db/oltp.lua \
-   --num-threads=700 --max-time=$SYSBENCH_DURATION --max-requests=1870000000 \
+   --num-threads=$MULTI_THREAD_COUNT --max-time=$SYSBENCH_DURATION --max-requests=1870000000 \
    --oltp-tables-count=10 --mysql-db=test --mysql-user=root \
    --db-driver=mysql --mysql-socket=$WORKDIR/$WORKDIRSUB/socket.sock \
    run > $WORKDIR/$WORKDIRSUB/sysbench_tuned_rw_multi_thread_cpubound.txt 2>&1
@@ -228,7 +228,7 @@
   ## OLTP RW Run with Tuned server settings + multiple threaded (700) + iobound (30 tables * 1 M Rows each : data size approx = 6.9G )
   echo "Sysbench Run: OLTP RW Run with tuned server settings + multiple threaded (700) + iobound"
   /usr/bin/sysbench --test=/usr/share/doc/sysbench/tests/db/oltp.lua \
-   --num-threads=700 --max-time=$SYSBENCH_DURATION --max-requests=1870000000 \
+   --num-threads=$MULTI_THREAD_COUNT --max-time=$SYSBENCH_DURATION --max-requests=1870000000 \
    --oltp-tables-count=30 --mysql-db=test --mysql-user=root \
    --db-driver=mysql --mysql-socket=$WORKDIR/$WORKDIRSUB/socket.sock \
    run > $WORKDIR/$WORKDIRSUB/sysbench_tuned_rw_multi_thread_iobound.txt 2>&1

